Multileader Text Direction
How can I control whether the Mtext is placed on the left or right of a Multileader vertical leader?
0
Comments
-
I think the position of the ML relative to the origin of the current UCS determines the default position of the text.
0 -
Thanks Roy
Doesn't work for me if I don't have a landing. However, using a landing will determine the direction of the text.0 -
Here is a (terrible) hack that mirrors the ML depending on the location of the 2nd point.
Note: The MIRRTEXT variable is changed to 0 (zero) by the Lisp function. This variable is set to 1 in the default templates, which is strange IMO.(defun c:MLM ( / mirP) (setvar 'mirrtext 0) (setq *MLM_ptA* (getpoint "\nSpecify leader arrowhead location: ")) (setq *MLM_ptB* (getpoint *MLM_ptA* "\nSpecify leader landing location and side of text: ")) (setq mirP (< (car *MLM_ptA*) (car *MLM_ptB*))) (setq *MLM_ptB* (list (car *MLM_ptA*) (cadr *MLM_ptB*) (caddr *MLM_ptA*))) (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "_.mleader _non !*MLM_ptA* _non !*MLM_ptB* ") (if mirP (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "_.mirror _last _non !*MLM_ptA* _non !*MLM_ptB* _yes ") ) (princ) )
0 -
Thanks Roy.
I will give the lisp a try.0